# Package com.beust.jcommander

package com.beust.jcommander

Related Packages
Package
Description
com.beust.jcommander.converters
com.beust.jcommander.defaultprovider
com.beust.jcommander.internal
com.beust.jcommander.validators
Class
Description
DynamicParameter
FuzzyMap
Helper class to perform fuzzy key look ups: looking up case insensitive or abbreviated keys.
IDefaultProvider
Allows the specification of default values.
IParameterValidator
The class used to validate parameters.
IParameterValidator2
IStringConverter<T>
An interface that converts strings to any arbitrary type.
IStringConverterFactory
A factory for IStringConverter.
IStringConverterInstanceFactory
A factory to create `IStringConverter` instances.
IValueValidator<T>
IVariableArity
Must be implemented by argument classes that contain at least one \@Parameter with "variableArity = true".
JCommander
The main class for JCommander.
JCommander.Builder
MissingCommandException
Thrown when a command was expected.
Parameter
ParameterDescription
ParameterException
The main exception that JCommand will throw when something goes wrong while parsing parameters.
Parameterized
Encapsulate a field or a method annotated with @Parameter or @DynamicParameter
Parameters
An annotation used to specify settings for parameter parsing.
ParametersDelegate
When applied to a field all of its child fields annotated with `Parameter` will be included during arguments parsing.
ResourceBundle
Deprecated.
use @Parameters
StringKey
Strings
SubParameter
WrappedParameter
Encapsulates the operations common to @Parameter and @DynamicParameter